Package org.silverpeas.components.suggestionbox.repository

# Class SuggestionJPARepository

java.lang.Object
org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository<E>
org.silverpeas.core.persistence.datasource.repository.jpa.SilverpeasJpaEntityRepository<Suggestion>
org.silverpeas.components.suggestionbox.repository.SuggestionJPARepository

All Implemented Interfaces:
  `org.silverpeas.core.persistence.datasource.repository.EntityRepository<Suggestion>`

@Singleton @Repository public class SuggestionJPARepository extends org.silverpeas.core.persistence.datasource.repository.jpa.SilverpeasJpaEntityRepository<Suggestion>
The JPA manager dedicated to manage Suggestion instances. This class is to be used only by the `SuggestionRepository` repository to perform the persistence tasks related to JPA. The Suggestion objects have indeed their part persisted into several data sources.

Author:
  mmoquillon

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SuggestionJPARepository()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.silverpeas.core.persistence.datasource.repository.jpa.NamedParameters`
  `newNamedParameters()`

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.SilverpeasJpaEntityRepository

  `deleteByComponentInstanceId`

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository

  `contains, countByCriteria, countFromJpqlString, delete, deleteById, deleteFromJpqlQuery, deleteFromNamedQuery, findByCriteria, findByNamedQuery, findFirstByNamedQuery, flush, getAll, getById, getById, getEntityClass, getEntityManager, getFromJpqlString, getFromJpqlString, getFromNamedQuery, getFromNamedQuery, getIdentifierConverter, getMaximumItemsInClause, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromNamedQuery, listFromNamedQuery, noParameter, save, setMaximumItemsInClause, split, streamByNamedQuery, streamByNamedQuery, streamFromJpqlString, streamFromJpqlString, updateFromJpqlQuery, updateFromNamedQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.EntityRepository

  `delete, deleteById, getById, save, save`

- ## Constructor Details

  - ### SuggestionJPARepository

    public SuggestionJPARepository()

- ## Method Details

  - ### newNamedParameters

    protected org.silverpeas.core.persistence.datasource.repository.jpa.NamedParameters newNamedParameters()
    Overrides:
      `newNamedParameters` in class `org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository<Suggestion>`